<div align="center">
    <img src="https://raw.githubusercontent.com/Ayanrajpoot10/bugscan-x/refs/heads/main/assets/logo.png" width="128" height="128"/>
    <h1>BugScanX</h1>
    <p>🔍 Advanced SNI/HTTP Bug Host Detection & Security Analysis Tool</p>
</div>

<p align="center">
    <a href="https://github.com/Ayanrajpoot10/Bugscan-x/stargazers">
        <img src="https://img.shields.io/github/stars/Ayanrajpoot10/Bugscan-x?style=for-the-badge" alt="GitHub stars"/>
    </a>
    <a href="https://pepy.tech/projects/bugscan-x">
        <img alt="PyPI - Downloads" src="https://img.shields.io/pypi/dm/bugscan-x?style=for-the-badge">
    </a>
    <a href="https://pypi.org/project/bugscan-x/">
    <img src="https://img.shields.io/pypi/v/bugscan-x?label=Latest%20Version&style=for-the-badge" alt="Latest Version"/>
    </a>
</p>

## 🚀 Features

### Core Tools
- 🛡️ **Host Checker Pro**
  - Multiple scanning modes
  - Support for various HTTP methods
  - Advanced payload handling
- 🔍 **Host Checker**
  - HTTP bug host detection
  - Effortless subdomain scanning
- 🌐 **CIDR Scanner**
  - IP range scanning
  - Bulk scanning capabilities
- 🔎 **Subfinder**
  - Active subdomain enumeration
  - Multiple API providers support
  - Fast concurrent enumeration

### Additional Tools
- 🔄 **Reverse IP Lookup**
- 📝 **TXT Toolkit**
- 🚪 **Port Scanner**
- 📡 **DNS Record Analyzer**
- 🕵️ **OSINT Tools**

<!-- ## 📸 Screenshots

<table>
  <tr>
    <td width="50%">
      <p align="center">
        <img src="https://raw.githubusercontent.com/Ayanrajpoot10/bugscan-x/refs/heads/main/assets/screenshots/main-menu.png" alt="Main Menu"/>
        <br>
        <em>Main Menu Interface</em>
      </p>
    </td>
    <td width="50%">
      <p align="center">
        <img src="https://raw.githubusercontent.com/Ayanrajpoot10/bugscan-x/refs/heads/main/assets/screenshots/host-checker.png" alt="Host Checker"/>
        <br>
        <em>Host Checker Pro in Action</em>
      </p>
    </td>
  </tr>
  <tr>
    <td width="50%">
      <p align="center">
        <img src="https://raw.githubusercontent.com/Ayanrajpoot10/bugscan-x/refs/heads/main/assets/screenshots/subfinder.png" alt="Subfinder"/>
        <br>
        <em>Subfinder Results</em>
      </p>
    </td>
    <td width="50%">
      <p align="center">
        <img src="https://raw.githubusercontent.com/Ayanrajpoot10/bugscan-x/refs/heads/main/assets/screenshots/cidr-scan.png" alt="CIDR Scanner"/>
        <br>
        <em>CIDR Scanner Output</em>
      </p>
    </td>
  </tr>
</table> -->

## ⚙️ Installation

### Prerequisites
- Python 3.7+
- Internet connection

### Installation Command

```bash
pip install bugscan-x
```


## 📖 Usage
Once installed, you can launch BugScanX by running:

```bash
bugscanx
```


## 📄 License

Licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## 🤝 Contributing

We welcome contributions! Here's how you can help:

1. 🐛 **Report bugs** by opening issues
2. 💡 **Suggest features** through issues
3. 🔧 **Submit PRs** for bug fixes or features

## 🌟 Support

- 💬 Join our [Telegram Channel](https://t.me/BugScanX)
- ⭐ Star this repository